/* -*- c++ -*-
FILE: PostScriptWriter.h
RCS REVISION: $Revision: 1.3 $

COPYRIGHT: (c) 1999 -- 2003 Melinda Green, Don Hatch, and Jay Berkenbilt - Superliminal Software

LICENSE: Free to use and modify for non-commercial purposes as long as the
    following conditions are adhered to:
    1) Obvious credit for the source of this code and the designs it embodies
       are clearly made, and
    2) Ports and derived versions of 4D Magic Cube programs are not distributed
       without the express written permission of the authors.

DESCRIPTION:
    This class generates a PostScript representation of the current
    puzzle configuration.
*/

#ifndef POSTSCRIPTWRITER_H
#define POSTSCRIPTWRITER_H

#include "MagicCube.h"

class Preferences;
class PuzzleState;

class PostScriptWriter
{
public:
    PostScriptWriter(Preferences&, PuzzleState& ps, struct frame&);
    bool generateOutput(char const* filename);

private:
    Preferences& preferences;
    PuzzleState& puzzle_state;
    struct frame& frame;
};

#endif

// Local Variables:
// c-basic-offset: 4
// c-comment-only-line-offset: 0
// c-file-offsets: ((defun-block-intro . +) (block-open . 0) (substatement-open . 0) (statement-cont . +) (statement-case-open . +4) (arglist-intro . +) (arglist-close . +) (inline-open . 0))
// indent-tabs-mode: nil
// End:
